Forum Linux.général Xfce : mise à jour des paquets et notifications

Posté par . Licence CC by-sa
6
7
avr.
2014

Bonjour.

J'utilise Debian Jessie /Xfce. Pour les mises à jour, je passe par aptitude. Je n'ai pas besoin d'interface plus graphique que ça, ni de notifications (sur testing, il y a des mises à jour tous les jours, de toute façon…).

Mais quand j'installe un PC pour quelqu'un, j'installe Debian stable (Wheezy), avec synaptic et update-manager / update-notifier.

Je viens de découvrir qu'update-manager n'était plus présent sur Jessie et qu'update-notifier était un paquet de transition vers gnome-packagekit.

gnome-packagekit s'accompagne d'une jolie cohorte de dépendances :

Les paquets supplémentaires suivants seront installés :
  app-install-data apt-xapian-index gir1.2-clutter-1.0 gir1.2-clutter-gst-1.0 gir1.2-cogl-1.0 gir1.2-coglpango-1.0 gir1.2-evince-3.0 gir1.2-gst-plugins-base-0.10 gir1.2-gstreamer-0.10 gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-json-1.0 gnome-desktop3-data gnome-packagekit-data gnome-settings-daemon gnome-sushi hwdata libasound2-plugins libclutter-1.0-0 libclutter-1.0-common libclutter-gst-1.0-0 libclutter-gtk-1.0-0 libcogl-common libcogl-pango0 libcogl9 libelf1 libexempi3 libgjs0b libglib2.0-bin libgnome-desktop-3-2 libgnomekbd-common libgnomekbd7 libgtksourceview-3.0-0 libgtksourceview-3.0-common libjson-glib-1.0-0 libmozjs185-1.0 libmusicbrainz5-0 libpackagekit-glib2-14 libpulse-mainloop-glib0 libsystemd-daemon0 libwacom-common libwacom2 libwebrtc-audio-processing-0 nautilus nautilus-data packagekit packagekit-backend-aptcc packagekit-tools pulseaudio pulseaudio-module-x11 pulseaudio-utils python-packagekit python-xapian rtkit

Pire, j'apprends qu'update-manager serait dangereux.

En regardant rapidement, packagekit semble une bonne idée (abstraction), donc je comprends que c'est la solution d'avenir. J'ai plus de mal à comprendre pourquoi j'ai besoin de tous ces trucs (pulseaudio ?).

Et sur la page WP de packagekit, il est indiqué que gnome-packagekit est obsolète…

Le logiciel conseillé serait donc Gnome Software, qui correspond peut-être au paquet software-center, mais alors il n'est pas dans testing…

J'ai un peu de mal à m'y retrouver. Je veux bien un éclairage. Dois-je installer gnome-packagekit sur les PC concernés ? Avez-vous une alternative en tête ?

Je pourrais rendre les mises à jour complètement automatiques mais j'aime pas ça, et je préfère les accompagner vers l'autonomie.

Plus largement, j'évite d'installer Unity ou GnomeShell parce que je n'y comprends rien et parce que Xfce est simple à appréhender, mais j'ai l'impression qu'en m'écartant de la voie canonique de la distribution, je m'expose (et j'expose les utilisateurs) à ce genre de problèmes. J'aimerais trouver une solution en laquelle j'ai confiance pour l'avenir, mais la dépendance de Xfce envers GTK m'inquiète, compte tenu de l'évolution de GTK (GTK3 et les choix de Gnome). J'aurais tendance à regarder vers razor-qt…

Peut-être que je devrais choisir KDE pour les utilisateurs novices. Pour moi, ça sera un poil plus compliqué de les aider (logiciels différents) mais peut-être que ça me fera aimer KDE. Après tout, je n'y ai pas regardé depuis une éternité. Ça doit être plus joli maintenant.

L'idée de mon message n'est pas de casser du Gnome ou du KDE pour le plaisir, mais plutôt d'identifier une solution pour mes copains "débutants", donc dans l'immédiat un logiciel pour leurs mises à jours qui s'intègre à Xfce, et sur le long terme, peut-être envisager de
changer d'environnement.

Merci d'avance pour vos lumières.

  • # Choix de la distrib ?

    Posté par . Évalué à 3.

    Je ne pense pas que Debian vanille soit un bon choix pour les débutants, stable sera trop conservatice et sid pas assez, et les deux demanderont du temps pour être noob friendly. Mieux vaut se diriger vers des distribs spécialisées grand public, comme Mint par exemple, qui offre un XFCE agréable et très soigné.

    Tu garderas le confort de maintenance d'une debian et il y a de très, très fortes chances que ton utilisateur en soit plus satisfait à l'usage.

    Concernant le bureau je trouve que KDE est aussi un bon choix pour les débutants (sans doute pour les plus motivés d'entre eux) mais il demande plus de travail en amont.

    • [^] # Re: Choix de la distrib ?

      Posté par . Évalué à 2.

      Je comprends l'idée. Jusqu'à présent, j'ai pas eu de problème avec Stable, parce que je parle d'utilisateurs qui se foutent d'avoir le dernier IceWeasel et tout. Même si je reconnais avoir galéré avec le Smartphone de ma copine (mtp), alors qu'en testing ça marche pas mal.

      Y a-t-il dans Mint un logiciel qui répondrait à mon besoin ?

      Quand j'aurai un de ces PC sous la main, je pense que j'essaierai gnome-packagekit et tant pis pour les dépendances. L'autre jour, j'étais pressé et j'ai eu peur de casser la config son en installant pulseaudio et de pas avoir le temps de réparer.

      • [^] # Re: Choix de la distrib ?

        Posté par . Évalué à 2.

        Il y a un bien un gestionnaire de package noob friendly dans Mint XFCE, je ne sais pas vraiment lequel c'est par contre.

        • [^] # Re: Choix de la distrib ?

          Posté par . Évalué à 2.

          Ca a l'air d'être spécifique Mint : https://en.wikipedia.org/wiki/Linux_Mint

          Software Manager (mintInstall): Runs .mint files, which are files containing instructions to install packages. As of Linux Mint 6, this tool has been revamped, and now enables viewing of all the applications on the Mint Software Portal offline, provided an Internet connection is available to download the information first. Also enables installation of any of the programs listed directly from the desktop, instead of going to the site. The option to use the old mintInstall program is available; from here the Ubuntu Repositories or the GetDeb.net website may be searched.

          Update Manager (mintUpdate): Designed to prevent inexperienced users from installing updates that are unnecessary or require a certain level of knowledge to configure properly. It assigns updates a safety-level (from 1 to 5), based on the stability and necessity of the update. Updates can be set to notify users (as is normal), be listed but not notify, or be hidden by default. In addition to including updates specifically for the Linux Mint distribution, the development team tests all package-wide updates.

    • [^] # Re: Choix de la distrib ?

      Posté par . Évalué à 1. Dernière modification le 14/04/14 à 09:56.

      Xubuntu 14.04 LTS sort dans quelques jours.

      3 ans de support.
      Xfce 4.10 + certains éléments provenant de la version de dév Xfce 4.11
      Logithèque sympa à utiliser pour installer/chercher des applications et mettre à jour.
      Xfce modernisé (beau, support GTK3, support PulseAudio, …)

      Applications par défaut (liste non-exhaustive) :
      Firefox
      Thunderbird
      Transmission
      LibreOffice
      Parole

      Si on a un CPU qui ne supporte pas le PAE (rare, mais ça existe), il y a aussi Xubuntu 12.04, soutenue jusqu'en avril 2015.

      Pour le non-libre, il faut juste installer xubuntu-restricted-extras (pour avoir flash, les codecs MPEG, …)

      "Quand certains râlent contre systemd, d'autres s'attaquent aux vrais problèmes." (merci Sinma !)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.